package org.project.entity.enemies;

import org.project.entity.players.Player;
import org.project.item.weapons.DragonBreath;
import org.project.item.weapons.Weapon;

public class Dragon extends Enemy{

    private static final int HP = 600;

    public Dragon(){
        Weapon dragonBreath = new DragonBreath();
        super(HP, dragonBreath);
    }

    @Override
    public String getName() {
        return "Dragon";
    }

    @Override
    public void specialAbility(Player target) {
        target.breakShield();
        super.attack(target);
    }
}
